### Hierarchy

- DeepCopy<OfferPriceRules>
  - OfferPriceRules

## Index

### Constructors

- constructor

### Properties

- id
- rule
- rulesKey
- value

### Methods

- copy
- deepCopyFromJson
- getClass
- isValid
- toJson
- fromJson

## Constructors

### constructor

- new OfferPriceRules(id?: number, rulesKey?: string, value?: string, rule?: CompareAction): OfferPriceRules

- - Defined in repository/models/OfferPriceRules.ts:18

  #### Parameters

  - ##### Default value id: number = 0

  - ##### Default value rulesKey: string = ""

  - ##### Default value value: string = ""

  - ##### Default value rule: CompareAction = CompareAction.EQUALLY

  #### Returns OfferPriceRules

## Properties

### id

id: number

- Defined in repository/models/OfferPriceRules.ts:7

### rule

rule: CompareAction

- Defined in repository/models/OfferPriceRules.ts:10

### rulesKey

rulesKey: string

- Defined in repository/models/OfferPriceRules.ts:8

### value

value: string

- Defined in repository/models/OfferPriceRules.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferPriceRules>): OfferPriceRules

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferPriceRules>

  #### Returns OfferPriceRules

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferPriceRules

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferPriceRules.ts:89

  #### Returns OfferPriceRules

### Protected getClass

- getClass(): ClassCreator<OfferPriceRules>

- Overrides DeepCopy.getClass

  - Defined in repository/models/OfferPriceRules.ts:93

  #### Returns ClassCreator<OfferPriceRules>

### isValid

- isValid(value: string | undefined): boolean

- - Defined in repository/models/OfferPriceRules.ts:42

  #### Parameters

  - ##### value: string | undefined

  #### Returns boolean

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferPriceRules.ts:33

  #### Returns object

  - ##### id: number

  - ##### rule: string

  - ##### rulesKey: string

  - ##### value: string

### Static fromJson

- fromJson(json: object): OfferPriceRules

- - Defined in repository/models/OfferPriceRules.ts:12

  #### Parameters

  - ##### json: object

  #### Returns OfferPriceRules

Generated using TypeDoc